ALTER TABLE document_category ADD COLUMN workgroup_key varchar(50);

ALTER TABLE document_list_portlet CHANGE id_portlet id_portlet int(11) DEFAULT '0' NOT NULL, ADD PRIMARY KEY(id_portlet);

ALTER TABLE document_published CHANGE id_document id_document int(11) default '0' NOT NULL;

ALTER TABLE document_published CHANGE id_portlet id_portlet int(11) default '0' NOT NULL;
 
ALTER TABLE document_published ADD PRIMARY KEY ( id_document, id_portlet);  

ALTER TABLE document_space ADD COLUMN workgroup_key varchar(50);

ALTER TABLE document_workflow_action ADD COLUMN id_finish_state int;

CREATE TABLE document_auto_publication ( id_portlet int NOT NULL DEFAULT 0, id_space int NOT NULL DEFAULT 0);

ALTER TABLE document_auto_publication ADD CONSTRAINT pk_document_auto_publication PRIMARY KEY ( id_portlet,id_space);  

CREATE TABLE document_category_portlet ( id_portlet int NOT NULL, id_category int NOT NULL);

ALTER TABLE document_category_portlet ADD CONSTRAINT pk_document_category_portlet PRIMARY KEY ( id_category,id_portlet);  

CREATE TABLE document_portlet ( id_portlet int NOT NULL DEFAULT 0, code_document_type varchar(30));

ALTER TABLE document_portlet ADD CONSTRAINT pk_document_portlet PRIMARY KEY ( id_portlet);

DROP TABLE IF EXISTS document_workflow_action;

CREATE TABLE document_workflow_action (
  id_action int(11) NOT NULL default '0',
  name_key varchar(100) collate utf8_unicode_ci default NULL,
  description_key varchar(100) collate utf8_unicode_ci default NULL,
  action_url varchar(255) collate utf8_unicode_ci default NULL,
  icon_url varchar(255) collate utf8_unicode_ci default NULL,
  action_permission varchar(255) collate utf8_unicode_ci default NULL,
  id_finish_state int(11) default NULL,
  PRIMARY KEY  (id_action)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

insert  into document_workflow_action(id_action,name_key,description_key,action_url,icon_url,action_permission,id_finish_state) values (1,'document.workflow.action.deleteDocument.name','document.workflow.action.deleteDocument.description','jsp/admin/plugins/document/DeleteDocument.jsp?','images/admin/skin/plugins/document/actions/delete.png','DELETE',NULL),(2,'document.workflow.action.modifyDocument.name','document.workflow.action.modifyDocument.description','jsp/admin/plugins/document/ModifyDocument.jsp?','images/admin/skin/plugins/document/actions/modify.png','MODIFY',NULL),(3,'document.workflow.action.submitForApproval.name','document.workflow.action.submitForApproval.description','jsp/admin/plugins/document/DoChangeState.jsp?id_state=2&amp;','images/admin/skin/plugins/document/actions/submit.png','SUBMIT',2),(4,'document.workflow.action.approveDocument.name','document.workflow.action.approveDocument.description','jsp/admin/plugins/document/DoValidateDocument.jsp?id_state=3&amp;','images/admin/skin/plugins/document/actions/validate.png','VALIDATE',3),(5,'document.workflow.action.publishDocument.name','document.workflow.action.publishDocument.description','jsp/admin/plugins/document/ManageDocumentPublishing.jsp?','images/admin/skin/plugins/document/actions/publish.png','PUBLISH',NULL),(6,'document.workflow.action.rejectDocument.name','document.workflow.action.rejectDocument.description','jsp/admin/plugins/document/DoChangeState.jsp?id_state=4&amp;','images/admin/skin/plugins/document/actions/reject.png','VALIDATE',4),(7,'document.workflow.action.submitAgain.name','document.workflow.action.submitAgain.description','jsp/admin/plugins/document/DoChangeState.jsp?id_state=2&amp;','images/admin/skin/plugins/document/actions/submit_again.png','SUBMIT',2),(8,'document.workflow.action.archiveDocument.name','document.workflow.action.archiveDocument.description','jsp/admin/plugins/document/DoConfirmArchiveDocument.jsp?id_state=5&amp;','images/admin/skin/plugins/document/actions/archive.png','ARCHIVE',5),(9,'document.workflow.action.changeDocument.name','document.workflow.action.changeDocument.description','jsp/admin/plugins/document/ModifyDocument.jsp?id_state=6&amp;','images/admin/skin/plugins/document/actions/change.png','CHANGE',6),(10,'document.workflow.action.submitChanges.name','document.workflow.action.submitChanges.description','jsp/admin/plugins/document/DoChangeState.jsp?id_state=7&amp;','images/admin/skin/plugins/document/actions/submit_changes.png','SUBMIT',7),(11,'document.workflow.action.rejectChanges.name','document.workflow.action.rejectChanges.description','jsp/admin/plugins/document/DoChangeState.jsp?id_state=6&amp;','images/admin/skin/plugins/document/actions/reject_changes.png','VALIDATE',6),(12,'document.workflow.action.approveChanges.name','document.workflow.action.approveChanges.description','jsp/admin/plugins/document/DoValidateDocument.jsp?id_state=3&amp;','images/admin/skin/plugins/document/actions/validate.png','VALIDATE',3),(13,'document.workflow.action.unarchiveDocument.name','document.workflow.action.unarchiveDocument.description','jsp/admin/plugins/document/DoChangeState.jsp?id_state=3&amp;','images/admin/skin/plugins/document/actions/unarchive.png','ARCHIVE',3),(14,'document.workflow.action.history.name','document.workflow.action.history.description','jsp/admin/plugins/document/DocumentHistory.jsp?','images/admin/skin/plugins/document/actions/history.png','VIEW_HISTORY',NULL),(15,'document.workflow.action.previewDocument.name','document.workflow.action.previewDocument.description','jsp/admin/plugins/document/PreviewDocument.jsp?','images/admin/skin/plugins/document/actions/view.png','VIEW',NULL),(16,'document.workflow.action.moveDocument.name','document.workflow.action.moveDocument.description','jsp/admin/plugins/document/MoveDocument.jsp?','images/admin/skin/plugins/document/actions/move.png','MOVE',NULL),(17,'document.workflow.action.commentDocument.name','document.workflow.action.commentDocument.description','jsp/admin/plugins/document/ManageDocumentComments.jsp?','images/admin/skin/plugins/document/actions/comment.png','COMMENT',NULL);

/*Table structure for table document_workflow_state */

DROP TABLE IF EXISTS document_workflow_state;

CREATE TABLE document_workflow_state (
  id_state int(11) NOT NULL default '0',
  name_key varchar(100) collate utf8_unicode_ci default NULL,
  description_key varchar(255) collate utf8_unicode_ci default NULL,
  state_order int(11) default NULL,
  PRIMARY KEY  (id_state)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

/*Data for the table document_workflow_state */

insert  into document_workflow_state(id_state,name_key,description_key,state_order) values (1,'document.workflow.state.writing.name','document.workflow.state.writing.description',1),(2,'document.workflow.state.waitingForApproval.name','document.workflow.state.waitingForApproval.description',2),(3,'document.workflow.state.approved.name','document.workflow.state.approved.description',3),(4,'document.workflow.state.rejected.name','document.workflow.state.rejected.description',4),(5,'document.workflow.state.archived.name','document.workflow.state.archived.description',5),(6,'document.workflow.state.inChange.name','document.workflow.state.inChange.description',6),(7,'document.workflow.state.waitingForChangesApproval.name','document.workflow.state.waitingForChangesApproval.name',7);
