<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:param name="site-path" select="site-path" />
<xsl:variable name="portlet-id" select="portlet/portlet-id" />

<xsl:template match="portlet">
    <div class="portlet-background-colored-article" >
        <xsl:if test="not(string(display-portlet-title)='1')">
            <div class="portlet-no-background-header" id="article_{$portlet-id}">
            <h3 class="portlet-no-background-header" >
                <xsl:value-of disable-output-escaping="yes" select="portlet-name" />
            </h3>
            </div>
        </xsl:if>
	<div class="portlet-no-background-content" >
            <ul>  
                <xsl:apply-templates select="document-list-portlet/document" />
            </ul>  
	</div>
    </div>
</xsl:template>


<xsl:template match="document">      
<xsl:if test="not(string(document-xml-content)='null')">
    <li>
        <a href="{$site-path}?document_id={document-id}&#38;portlet_id={$portlet-id}" target="_top"> 
            <xsl:for-each select="descendant::*">   
                <xsl:value-of select="document-title" />
            </xsl:for-each>    
        </a>
    </li>
</xsl:if>
</xsl:template>              


</xsl:stylesheet>

